Subject: Re: [PATCH net-next v3 0/3] Rust abstractions for network PHY drivers

From: Greg KH <[email-masked]>
Date: Mon, 9 Oct 2023 16:56:47 +0200

On Mon, Oct 09, 2023 at 04:21:09PM +0200, Andrea Righi wrote:
> On Mon, Oct 09, 2023 at 02:53:00PM +0200, Miguel Ojeda wrote:
> > On Mon, Oct 9, 2023 at 2:48 PM Andrew Lunn <[email-masked]> wrote:
> > >
> > > Any ideas?
> > 
> > That is `RETHUNK` and `X86_KERNEL_IBT`.
> > 
> > Since this will keep confusing people, I will make it a `depends on !`
> > as discussed in the past. I hope it is OK for e.g. Andrea.
> 
> Disabling RETHUNK or IBT is not acceptable for a general-purpose kernel.
> If that constraint is introduced we either need to revert that patch
> in the Ubuntu kernel or disable Rust support.

Why is rust enabled in the Ubuntu kernel as there is no in-kernel
support for any real functionality?  Or do you have out-of-tree rust
drivers added to your kernel already?

thanks,

greg k-h